Topic
  • 1 reply
  • Latest Post - ‏2013-10-28T22:30:22Z by efabian
cedde
cedde
1 Post

Pinned topic Java JRE vs. J2RE

‏2013-10-24T07:33:13Z |

Hi,

Running java -version on AIX 5.3 gives, J2RE 1.6.0, see below:

Java(TM) SE Runtime Environment (build pap3260-20071123_01)

IBM J9 VM (build 2.4, J2RE 1.6.0 IBM J9 2.4 AIX ppc-32 jvmap3260-20071121_15015 (JIT enabled)

J9VM - 20071121_015015_bHdSMR

JIT - r9_20071121_1330

GC - 20071031_AA)

JCL - 20071118_01

 

 

 but when running java -version on AIX 7.1 gives, JRE 1.6.0, se below:

Java(TM) SE Runtime Environment (build pap3260sr11-20120806_01(SR11))

IBM J9 VM (build 2.4, JRE 1.6.0 IBM J9 2.4 AIX ppc-32 jvmap3260sr11-20120801_118201 (JIT enabled, AOT enabled)

J9VM - 20120801_118201

JIT - r9_20120608_24176ifx1

GC - 20120516_AA)

JCL - 20120713_01

 

Do I have an old JVM installed on AIX 7.1?

 

Thanks in advance / Per

 

 

 

  • efabian
    efabian
    4 Posts

    Re: Java JRE vs. J2RE

    ‏2013-10-28T22:30:22Z  

    Hello Cedde.

    Not necesarally, You can have lots of java versions installed, it all depends on where the symbolic link points to.

     

    for example in my test box I have version 1.4.2 and version 1.5.0 installed.

    /usr/java14/bin/java -version
    java version "1.4.2"
    Java(TM) 2 Runtime Environment, Standard Edition (build 1.4.2)
    Classic VM (build 1.4.2, J2RE 1.4.2 IBM AIX build ca142-20080122 (SR10) (JIT enabled: jitc))

     

    /usr/java5/bin/java -version
    java version "1.5.0"
    Java(TM) 2 Runtime Environment, Standard Edition (build pap32devifx-20110627 (SR12 FP5 ))
    IBM J9 VM (build 2.3, J2RE 1.5.0 IBM J9 2.3 AIX ppc-32 j9vmap3223ifx-20110624 (JIT enabled)
     

    Regards.